import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientDocumentWhereInputObjectSchema as PatientDocumentWhereInputObjectSchema } from './PatientDocumentWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => PatientDocumentWhereInputObjectSchema).optional(),
  some: z.lazy(() => PatientDocumentWhereInputObjectSchema).optional(),
  none: z.lazy(() => PatientDocumentWhereInputObjectSchema).optional()
}).strict();
export const PatientDocumentListRelationFilterObjectSchema: z.ZodType<Prisma.PatientDocumentListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentListRelationFilter>;
export const PatientDocumentListRelationFilterObjectZodSchema = makeSchema();
